org.bdgenomics.adam.converters

# VariantAnnotationConverter

#### object VariantAnnotationConverter extends Serializable

Linear Supertypes
Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. VariantAnnotationConverter
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### val CLINVAR_KEYS: List[AttrKey]

7. #### val COSMIC_KEYS: List[AttrKey]

8. #### val DBNSFP_KEYS: List[AttrKey]

9. #### val FORMAT_KEYS: Seq[AttrKey]

10. #### val INFO_KEYS: Seq[AttrKey]

11. #### val OMIM_KEYS: List[AttrKey]

12. #### lazy val VCF2DatabaseAnnotations: Map[String, (Int, (AnyRef) ⇒ AnyRef)]

13. #### lazy val VCF2GenotypeAnnotations: Map[String, (Int, (AnyRef) ⇒ AnyRef)]

14. #### lazy val VCF2VariantCallingAnnotations: Map[String, (Int, (AnyRef) ⇒ AnyRef)]

15. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

16. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

17. #### def convert(g: Genotype, genotype: Genotype): Genotype

18. #### def convert(vc: VariantContext, call: VariantCallingAnnotations): VariantCallingAnnotations

19. #### def convert(vc: VariantContext, annotation: DatabaseVariantAnnotation): DatabaseVariantAnnotation

20. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

22. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

23. #### lazy val formatHeaderLines: Seq[VCFCompoundHeaderLine]

24. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

25. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

26. #### lazy val infoHeaderLines: Seq[VCFCompoundHeaderLine]

27. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

28. #### def mergeAnnotations(leftRecord: DatabaseVariantAnnotation, rightRecord: DatabaseVariantAnnotation): DatabaseVariantAnnotation

29. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

30. #### final def notify(): Unit

    Definition Classes
      AnyRef

31. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

32. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

33. #### def toString(): String

    Definition Classes
      AnyRef → Any

34. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped